BINVOX2BT(1)

NAME
binvox2bt - convert 3D mesh voxelizer meshes to a single bonsai tree file

SYNOPSIS
binvox2bt [ options <binvox filenames> ...]

DESCRIPTION
binvox2bt Read files generated by Patrick Min's 3D mesh voxelizer ("binvox", available at: http://www.cs.princeton.edu/~min/binvox/) and convert the voxel meshes to a single bonsai tree file. This file is based on code from http://www.cs.princeton.edu/~min/binvox/read_binvox.cc

These options are available:

-o <file>
    Output filename (default: first input filename + -.bt)

--mark-free
    Mark not occupied cells as 'free' (default: unknown)

--rotate
    Rotate left by 90 deg. to fix the coordinate

--system
    when exported from Webots

--bb <minx> <miny> <minz> <maxx> <maxy> <maxz>
    force bounding box for OcTree

--offset <x> <y> <z>
    add an offset to the final coordinates

    If more than one binvox file is given, the models are composed to a single bonsai tree.

All options apply to the subsequent input files.